-- Default locals
local L = LibStub('AceLocale-3.0'):NewLocale('ShivvAudio', 'enUS', true)

if not L then return end -- abort if not using these locals

-- Actual text is 'ShivvAudio' with 1 colour for the capital S/A and another for the rest
L.Title = '|cff67b1e9S|cff4779cehivv|cff67b1e9A|cff4779ceudio|r'
L.NoGUIWhileMusicOrCombat = 'You cannot configure this mod while in combat or while you have active buffs with associated music. Please exit combat and cancel the relevant buffs before configuring ShivvAudio.'
L.ChatHelp = '\'/shivv\' opens the GUI, and \'/shivv kill\' will cancel any currently active music.'
L.None = 'None'
L.RemovingMedia = 'Removing Media Entry: Updating references.'
L.RemovingMediaForChar = '  Updated %d entries for %s.'

-- Unit ID's
L.Player = 'player'
L.Pet = 'pet'
L.Focus = 'focus'
L.Target = 'target'
L.Party1 = 'party1'
L.Party2 = 'party2'
L.Party3 = 'party3'
L.Party4 = 'party4'
L.Arena1 = 'arena1'
L.Arena2 = 'arena2'
L.Arena3 = 'arena3'
L.Arena4 = 'arena4'
L.Arena5 = 'arena5'

-- GUI Window
L.Main = 'Main'
L.MediaDatabase = 'Media Database'
L.AudibleAuras = 'Audible Auras'
L.MelodicVitals = 'Melodic Vitals'
L.MusicalEvents = 'Musical Events'
L.SymphoniousCombat = 'Symphonious Combat'
L.RandomStatus1 = 'ZOMG! Ponies!'
L.RandomStatus2 = '... the... damage affliction dots do... tick for... 1000... years... our dots... cast spells...'
L.RandomStatus3 = 'DOTS: I may not win the argument, but I will have the last word.'
L.RandomStatus4 = 'What is the volume of a pizza of radius z and thickness a?'
L.RandomStatus5 = 'Never moon a Worgen.'
L.RandomStatus6 = 'Stop that infernal clicking!'
L.RandomStatus7 = 'This GUI took longer to write than the mod did!'
L.RandomStatus8 = 'Chuck me!'

-- Main
L.EnableAudibleAuras = 'Enable Audible Auras'
L.EnableDescAudibleAuras = 'Allows you to attach sound and music to gaining/losing auras on yourself and others.'
L.EnableMelodicVitals = 'Enable Melodic Vitals'
L.EnableDescMelodicVitals = 'Attach sound to those around you that will play when their health/power falls below a chosen threshold.'
L.EnableMusicalEvents = 'Enable Musical Events'
L.EnableDescMusicalEvents = 'Attach sound or music to events that happen such as leveling and visiting shops.'
L.EnableSymphoniousCombat = 'Enable Symphonious Combat'
L.EnableDescSymphoniousCombat = 'Set music to play while in combat, and different music can be set to bigger and more epic battles.'
L.EnableMusicControl = 'Enable Music Control'
L.EnableDescMusicControl = 'Gives ShivvAudio control of in-game music so as to only play it when requested. When disabled, zone music will play until interrupted by this mod.'
L.AddLSM = 'LibSharedMedia Import'
L.AddLSMDisabled = 'LibSharedMedia Not Found'
L.AddLSMDescEnabled = 'This button will import the current library of sounds from any mods that use LibSharedMedia. Please note that while all available sounds will be imported into the media library, any future changes to the relevant sound files (such as deleting the mod that provides them) will not be tracked and, even if the file no longer exists, the entry will remain in the media database.'
L.LSMEntriesAdded = ' entries added to Media Database from LibSharedMedia.'
L.IntroTitle = 'Guide To ShivvAudio'
-- START INTRO BLOCK --
L.Intro = [[ShivvAudio allows you to assign media (sounds or music) to things that happen in the game. There are 3 main modules, each allows media to be attached to a different in-game source. These modules are:

|cffffd100Audible Auras|r - Allows a sound to be attached when you (or those around you) gain or lose an aura (buff or debuff). The mod doesn't care where the aura came from, simply that it exists on the 'unit' you are tracking. Additionally, for auras on yourself (the 'player' unit) you can have the mod play a music file while the buff is active.

|cff40bad8Examples:|r playing music while on a mount, an alert when an arena opponent gains a powerful buff, an alert when a party member gets a nasty raid mob debuff and needs special attention, an alert when your pet's buffs fade and so on...

|cffffd100Melodic Vitals|r - Allows a sound to be assigned to yourself (or those around you) that alerts you when they fall below a certain amount of health or power (rage/energy/mana/etc). Each unit tracked can have its health or power (or both) tracked with unique or similar sounds for each, and a trigger only at a percentage chosen by you.

|cff40bad8Examples:|r an alert when your health or a party member's health falls below 50%, an alert when a raid boss is in the 25% 'execution' phase (so long as its your target or focus).

|cffffd100Musical Events|r - Allows you to attach sounds (or music) to in-game events such as leveling up, earning an achievement or your character dying (never said all the event choices were pleasant ones!). You can also have music play when visiting vendors such as shops, the auction house or the bank.

|cffffd100Symphonious Combat|r - Allows you to set music to play during combat, as well as sounds when entering/leaving combat, for each main area (other than arenas) you can fight in such as battlegrounds, dungeons, raids and out in the world. In addition, should you enable advanced mode, you can set different music to play as the battle gets more epic which is triggered as more mobs enter the fight or when you encounter a raid or dungeon boss.

|cffffd100Global Media Database|r - In addition to these modules which are configured on a per profile (default per character) basis, ShivvAudio provides a global database for sounds that are used by all characters on a single account. For each media entry, you pick a name that references the media being entered and that name will represent the media in all the other modules options. While the mod assumes most of your media files will be played from the Media folder in ShivvAudio's AddOn folder, you can use a file placed in any AddOn's folder or even sounds built into WoW itself!

|cff40bad8Examples of valid file paths would be:|r

For a file in the ShivvAudio\Media folder -
|cffffd1001812overtune.mp3|r
(and checking 'In Shivv Media?')

For a file in another AddOn's folder -
|cffffd100Interface\AddOns\Boing\boing.mp3|r
(and unchecking 'In Shivv Media?')

For a file in WoW itself -
|cffffd100Sound\Event Sounds\Event_wardrum_ogre.wav|r
(and unchecking 'In Shivv Media?')

|cffffd100Note:|r Paths for files internal to WoW must be found yourself on various websites and while internal files can have a .wav extension, WoW will only recognise .mp3 or .ogg externally. Additionally, you must enter a full filename (or path) including the file extension (.mp3, etc) and WoW is case-sensitive in regards to filenames, so please be aware.

|cffffd100IMPORTANT:|r Please be aware of setting a sound to a recommended music entry and vice versa. The way WoW works is that anything tagged as music will be unique and stop any other music currently playing; but for a sound, all sounds activated can play concurrently. This makes it a bad idea, for example, to associated music with anything under Melodic Vitals or for gaining and losing a buff.]]
-- END INTRO BLOCK --

-- Media Panel
L.Yes = 'Yes'
L.No = 'No'
L.ListOfMedia = 'List of Media Entries'
L.MediaHeaderName = 'Media Name'
L.MediaHeaderMusic = 'Is Music?'
L.MediaHeaderPath = 'File Path'
L.MediaAdd = 'Add New Media'
L.MediaEdit = 'Edit Selected Media Entry'
L.MediaName = 'Media Name'
L.MediaNameTip = 'Name of Media Entry'
L.MediaNameDesc = 'Choose the name for the new media entry.\n\nThis can be anything except for the word \'none\' due to internal usage.'
L.MediaIsMusic = 'Is It Music?'
L.MediaIsMusicTip = 'Is This Media Entry Music?'
L.MediaIsMusicDesc = 'Sets whether this entry is considered music. This option simply colour-codes the entry in other option dialogs for easier reference.\n\neg, helps you not set a short sound clip to a long duration buff.'
L.MediaPath = 'Path to Media'
L.MediaPathTip = 'Filepath to Media'
L.MediaPathDesc = 'You must enter the full filepath to the media file you wish to use for this entry. This can either be an internal wow path, a filepath to files in an AddOn\'s folder or, as a special case, a file in the ShivvAudio\\Media folder in which case you need only enter the name of the file.'
L.MediaPathDescEdit = 'You must enter the full filepath to the media file you wish to use for this entry. This can either be an internal wow path or a filepath to files in an AddOn\'s folder.'
L.MediaInShivv = 'In Shivv Media?'
L.MediaInShivvTip = 'In Shivv Media Folder?'
L.MediaInShivvDesc = 'Is the file associated with this media item in the addon\'s ShivvAudio\\Media folder? If so, then check this box and only enter the name of the file in the path box, if not, you must enter the full path to the file.'
L.MediaAddIt = 'Add New Media'
L.MediaMustEnterUniqueNameAndPath = 'You must enter a unique name for the media entry as well as a filepath.'
L.NewMediaAdded = 'New media entry added to database.'
L.MediaEditIt = 'Edit This Media'
L.MediaMustEnterPath = 'You must enter a filepath for this media entry.'
L.EditedMedia = 'Selected media entry has been edited.'
L.MediaDelIt = 'Delete This Media'
L.DeletedMedia = 'Selected media entry has been deleted. All references across all characters have been updated.'
L.PlayMedia = 'Play This Media'
L.PlayingMedia = 'Playing selected media. Please note that the full file will play until its either complete or you click the stop playing button.'
L.StopMedia = 'Stop Playing'
L.StoppedPlaying = 'Stopped media playing. Please note you cannot use this button again for at least 5 seconds due to potential internal sound issues.'
L.CannotStopPlaying = 'Cannot stop media playing, please try again in a few seconds.'


-- Audible Auras Panel
L.ListOfAuras = 'List of Aura Entries'
L.AuraHeaderUnit = 'Unit'
L.AuraHeaderBuff = 'Tracked Aura'
L.AuraHeaderGain = 'On Gain'
L.AuraHeaderLoss = 'On Loss'
L.AuraHeaderMusic = 'Music'
L.SortListByUnit = 'Sort List By Units'
L.SortListByBuff = 'Sort List By Buffs'
L.AuraAdd = 'Add New Aura Entry'
L.AuraEdit = 'Edit Selected Aura Entry'
L.AuraUnit = 'Unit'
L.AuraUnitTip = 'Select Unit to Track'
L.AuraUnitDesc = 'For the current entry, select the unitID that will be tracked.\n\nplayer - yourself\n\npet - your pet (if applicable)\n\ntarget - what you target\n\nfocus - your set /focus\n\nparty1-4 - other party members\n\narena1-5 - arena opponents'
L.AuraBuff = 'Aura To Track'
L.AuraBuffTip = 'Aura to Track on Selected Unit'
L.AuraBuffDesc = 'For the current entry, select the aura to be tracked. This can be any aura you know the name of, whether cast by yourself, another player or even an NPC/boss/mob.\n\nSpelling and capitalization must be exact.'
L.AuraOnGain = 'On Gain'
L.AuraOnGainTip = 'Sound Played On Aura Gained'
L.AuraOnGainDesc = 'Choose the sound to play when the chosen aura is cast on the chosen unit.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus may be to long to play on every aura gain.'
L.AuraOnLoss = 'On Loss'
L.AuraOnLossTip = 'Sound Played On Aura Lost'
L.AuraOnLossDesc = 'Choose the sound to play when the chosen aura fades from the chosen unit.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus may be to long to play on every aura loss.'
L.AuraMusic = 'Music'
L.AuraMusicTip = 'Music Played While Aura\'s Active'
L.AuraMusicDesc = 'Choose the sound to play while the chosen aura is active on the player.\n\nWhile any sound can be selected, please note that light-blue entries are media files you have designated as music and thus are the best suited choice for this entry.\n\nImportant: This option can only be set for the \'player\' and will be ignored for all other units.'
L.AuraAddButton = 'Add Aura Entry'
L.AuraEntryMustEnterAura = 'You must enter an aura to track.'
L.AuraEntryAlreadyExists = 'An aura entry for this unit already exists.'
L.AuraDelButton = 'Delete Aura Entry'
L.AuraEditButton = 'Edit Aura Entry'
L.AuraEntryDeleted = 'Aura entry deleted.'
L.AuraEntryEdited = 'Aura entry modified.'

-- Melodic Vitals
L.SetupHealthAlert = 'Setup Health Alert'
L.SetupPowerAlert = 'Setup Power Alert'
L.Sound = 'Alert Sound'
L.HealthLevel = 'Health Level'
L.PowerLevel = 'Power Level'
L.Enable = 'Enable Tracking'
L.EnableTip = 'Enable Tracking For This Unit'
L.EnableDesc = 'Checking this box enables tracking for this unit. When unchecked, even if a sound and percent are set, no sound will play.'
L.RepeatTimer = 'Alert Repeat Timer'
L.RepeatTimerTip = 'Global Alert Repeat Timer'
L.RepeatTimerDesc = 'Set the timeout between audio alerts set for any unit. This will stop the alerts happening on every health (or power) update, they will only happen at most as close together as the timeout value (in seconds). It is recommended to not drop below 5 seconds.'
L.VitalsIntro = 'This module allows you to set audio alerts when certain units health (or power) drops below a set percentage. Both the alert level and sound can be configured on the below tabs for each unit and each entry (health or power for each unit) can be independently toggled.'

-- Musical Events
L.achievement = 'On Earning An Achievement'
L.auction = 'Visiting An Auctionhouse'
L.bank = 'Visiting A (Guild)Bank'
L.crafting = 'While Crafting'
L.craftingclose = 'Closing Crafting Window'
L.craftingopen = 'Opening Crafting Window'
L.death = 'On Your Death'
L.levelup = 'On Leveling Up'
L.lootclose = 'Closing Loot Window'
L.looting = 'While Looting'
L.lootopen = 'Opening Loot Window'
L.shop = 'Visiting A Shop'
L.SEvent = 'For the event entries below, when they occur the sound chosen will play through once (or nothing will happen if set to None).'
L.MEvent = 'For the event entries below, when they occur the music chosen will begin to play and will repeat until you leave the vendor/bank or exit combat, etc.'

-- Symphonious Combat
L.Outside = 'Outside'
L.Party = '5-Player Dungeons'
L.Raid = 'Raids'
L.Battleground = 'Battlegrounds'
L.EnableOutside = 'Enable While Outside'
L.EnableDescOutside = 'Enable combat music while not in a dungeon, raid, arena or battleground.'
L.EnableParty = 'Enable In Dungeons'
L.EnableDescParty = 'Enable combat music while in a 5-player dungeon.'
L.EnableRaid = 'Enable In Raids'
L.EnableDescRaid = 'Enable combat music while in 10 and 25-player raid dungeons.'
L.EnableBattleground = 'Enable In Battlegrounds'
L.EnableDescBattleground = 'Enable combat music while in any pvp battleground.'
L.EnableAdvanced = 'Enable Advanced Mode'
L.EnableDescAdvanced = 'Enable advanced combat music configuration. Details in the guide to the right.'
L.CombatIntroTitle = 'Symphonious Combat Guide'
-- START COMBAT INTRO BLOCK --
L.CombatIntro = [[This module allows you to set music to play when in combat as well as a sound to play on entering and leaving combat. In simple mode, this is all this module does, you simply enable the 'areas' you wish to have music in, go to that areas's option page and choose your sound/music. In advanced mode, more options are opened up to configure differing levels of battle music so as to provide a more interesting and varied experience. Each area has a different set of advanced options, each is detailed below.

|cffffd100Outside|r - This 'area' encompasses all zones that are not part of a group of raid based instance. In other words, unless you in a 5 player dungeon, a raid, a battleground or an arena you are in this area. The advanced options for this area allow you to set music to play for 3 tiers of combat difficulty based on the number of mobs involved in the fight; these tiers can each have different music set to them and the sliders on the Outside page allow you to set how many mobs must be in combat with you (or your party) before the next tier is engaged. Additionally should you be fighting any number of elite mobs you can set yet more new music to play once battle begins with those mobs (this overrides the usual 3 tiers of music).

|cff40bad8Note|r: If in advanced mode and if no music is set to a given tier (or to elite fighting) and you trigger that tier of fighting (or encounter an elite), the previous tier's music (or the game music) will continue playing as the mod cannot play music when not told what to play.

|cffffd1005-Player Dungeons|r - This area encompasses all 5-player dungeons in the game no matter which expansion they are in or whether they are heroic or not. Options are the same as for the Outside area except that the mod treats all elites as 'normal' mobs for the purpose of difficulty tiers and only triggers special music when you encounter one of the zone's main bosses (whose music you can set in place of the elite music). Although all current dungeon bosses are known by this mod, future WoW patches will require an AddOn update to recognise the new boss/zone data.

|cffffd100Raids|r - Ths area encompasses all raid zones in the game whether they are 10-player or 25-player, heroic or otherwise. The advanced options for this area allow you to pick music for two different situations. One for fighting basic trash in the zone (any fight without a boss) and another for fighting the zone bosses. There are no combat tiers for raids.

|cffffd100Battlegrounds|r - This area encompasses all battlegrounds in the game (excluding Arena's for which this mod does nothing) and has no advanced options. You can simply set music to play while in combat. This is due to the combat mechanics in Battlegrounds and the potential for frequent short-bursts of music which does not lend itself to a more complex system.]]
-- END COMBAT INTRO BLOCK --
L.OnEnteringCombat = 'On Entering Combat'
L.OnLeavingCombat = 'On Leaving Combat'
L.WhenFightingElite = 'When Fighting Elites'
L.WhenFightingBoss = 'When Fighting A Boss'
L.WhenFightingTrash = 'When Fighting Trash Mobs'
L.WhileInCombat = 'While In Combat'
L.WhenInTierI = 'When Fighting At Tier I'
L.WhenInTierII = 'When Fighting At Tier II'
L.WhenInTierIII = 'When Fighting At Tier III'
L.TierI = 'Tier I:'
L.TierII = 'Tier II:'
L.TierIII = 'Tier III:'
L.OneMob = '1 Mob'
L.TwoMobs = '2 Mobs'
L.Mobs = 'Mobs'
L.PlusMobs = '+ Mobs'
L.TierIMaxMobs = 'Max Mobs For Tier I'
L.TierIIMaxMobs = 'Max Mobs For Tier II'

-- SymphoniousCombatData Zone Strings
L.RagefireChasm = 'Ragefire Chasm'
